com.ietnet.fse.igestore.pep

## Class PEPHandler

- java.lang.Object
- - com.ietnet.fse.common.soap.handler.AbstractPEPHandler
  - - com.ietnet.fse.igestore.pep.PEPHandler

- All Implemented Interfaces:
    javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

      public class PEPHandler
      extends com.ietnet.fse.common.soap.handler.AbstractPEPHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PEPHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(javax.xml.ws.handler.MessageContext context)`
    `java.util.Set<javax.xml.namespace.QName>` | `getHeaders()`
    `boolean` | `handleFaultMessage(javax.xml.ws.handler.MessageContext context)`
    `boolean` | `handleInboundMessage(javax.xml.ws.handler.MessageContext context)`
    `boolean` | `handleMessageOld(javax.xml.ws.handler.MessageContext context)`
    `boolean` | `handleOutboundMessage(javax.xml.ws.handler.MessageContext context)`
    `boolean` | `handleOutboundMessageOld(javax.xml.ws.handler.MessageContext context)`

    - ### Methods inherited from class com.ietnet.fse.common.soap.handler.AbstractPEPHandler

      `getIdTransazione, handleFault, handleMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PEPHandler

          public PEPHandler()

  - ### Method Detail

    - #### getHeaders

          public java.util.Set<javax.xml.namespace.QName> getHeaders()

    - #### handleInboundMessage

          public boolean handleInboundMessage(javax.xml.ws.handler.MessageContext context)

      Specified by:
        `handleInboundMessage` in class `com.ietnet.fse.common.soap.handler.AbstractPEPHandler`

    - #### handleOutboundMessage

          public boolean handleOutboundMessage(javax.xml.ws.handler.MessageContext context)

      Specified by:
        `handleOutboundMessage` in class `com.ietnet.fse.common.soap.handler.AbstractPEPHandler`

    - #### handleOutboundMessageOld

          public boolean handleOutboundMessageOld(javax.xml.ws.handler.MessageContext context)

    - #### handleMessageOld

          public boolean handleMessageOld(javax.xml.ws.handler.MessageContext context)

    - #### handleFaultMessage

          public boolean handleFaultMessage(javax.xml.ws.handler.MessageContext context)

      Specified by:
        `handleFaultMessage` in class `com.ietnet.fse.common.soap.handler.AbstractPEPHandler`

    - #### close

          public void close(javax.xml.ws.handler.MessageContext context)